﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using H1xSDK;

namespace BackLight_Getters_Example
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int output = -1;
            ReturnValues result = BackLight.GetACTimeout(ref output);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output.ToString());
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int output = -1;
            ReturnValues result = BackLight.GetBatteryTimeout(ref output);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output.ToString());
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            int output = -1;
            ReturnValues result = BackLight.GetACBrightness(ref output);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output.ToString());
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            int output = -1;
            ReturnValues result = BackLight.GetBatteryBrightness(ref output);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output.ToString());
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}