﻿using System;
using System.Windows.Forms;
using H1xSDK;

namespace Get_All_Parameters_Example
{
    public partial class Form1 : Form
    {

        BarcodeDevice barcodeDevice = new BarcodeDevice();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string output = "";
            ReturnValues result = barcodeDevice.GetAllParameters(ref output);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
                return;
            }
            textBox1.Text = output;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            barcodeDevice.Dispose();
            Application.Exit();
        }

        private void Form1_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            barcodeDevice.Dispose();
        }

    }
}