﻿using System;
using System.ComponentModel;
using System.Windows.Forms;
using H1xSDK;

namespace Get_Custom_Options_Example
{
    public partial class Form1 : Form
    {

        BarcodeDevice barcodeDevice = new BarcodeDevice();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string output = "";
            ReturnValues result = barcodeDevice.GetOptions(ref output, BarcodeDevice.MaskOptions.FILE);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string output = "";
            ReturnValues result = barcodeDevice.GetOptions(ref output, BarcodeDevice.MaskOptions.STRING);
            if (result != ReturnValues.SUCCESS)
            {
                MessageBox.Show(result.ToString());
            }
            else
            {
                MessageBox.Show(output);
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            barcodeDevice.Dispose();
            Application.Exit();
        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            barcodeDevice.Dispose();
        }
    }
}