﻿Public Class Form1
    Dim barcodeDevice As New BarcodeDevice()

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        checkBoxBarcodeReader.Checked = barcodeDevice.BarcodeReaderEnabled
        checkBoxKeyboardHook.Checked = barcodeDevice.KeyboardHook

        ' Set the additional trigger key.
        Select Case barcodeDevice.TriggerKey
            Case barcodeDevice.TriggerKeys.KEY_NONE
                cmboTriggerKey.SelectedIndex = 0
            Case barcodeDevice.TriggerKeys.KEY_START
                cmboTriggerKey.SelectedIndex = 1
            Case barcodeDevice.TriggerKeys.KEY_OK
                cmboTriggerKey.SelectedIndex = 2
        End Select
    End Sub

    Private Sub Form1_Closing(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        ' Cleanup the barcodeDevice
        barcodeDevice.Dispose()
    End Sub

    Private Sub checkBoxBarcodeReader_CheckStateChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles checkBoxBarcodeReader.CheckStateChanged
        barcodeDevice.BarcodeReaderEnabled = checkBoxBarcodeReader.Checked
    End Sub

    Private Sub checkBoxKeyboardHook_CheckStateChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles checkBoxKeyboardHook.CheckStateChanged
        barcodeDevice.KeyboardHook = checkBoxKeyboardHook.Checked
    End Sub

    Private Sub btnModuleType_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnModuleType.Click
        MessageBox.Show(barcodeDevice.ModuleType.ToString())
    End Sub

    Private Sub btnModuleVersion_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnModuleVersion.Click
        MessageBox.Show(barcodeDevice.ModuleVersion)
    End Sub

    Private Sub cmboTriggerKey_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmboTriggerKey.SelectedIndexChanged
        Select Case cmboTriggerKey.SelectedIndex
            Case 0
                barcodeDevice.TriggerKey = barcodeDevice.TriggerKeys.KEY_NONE
            Case 1
                barcodeDevice.TriggerKey = barcodeDevice.TriggerKeys.KEY_START
            Case 2
                barcodeDevice.TriggerKey = barcodeDevice.TriggerKeys.KEY_OK
        End Select
    End Sub
End Class
