﻿Public Class Form1
    Dim scanBarcode As New ScanBarcode()

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Set or clear the checkbox
        chkGRSound.Checked = scanBarcode.GoodReadSoundEnable

        ' Set the goodread sound file in the label
        textBoxGRSound.Text = scanBarcode.GoodReadSoundFile
    End Sub

    Private Sub Form1_Closing(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        scanBarcode.Dispose()
    End Sub

    Private Sub chkGRSound_CheckStateChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkGRSound.CheckStateChanged
        scanBarcode.GoodReadSoundEnable = chkGRSound.Checked
    End Sub

    Private Sub btnSetGoodReadSound_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetGoodReadSound.Click
        Dim fileInfo As New FileInfo(textBoxGRSound.Text)

        If fileInfo.Exists Then
            If fileInfo.Extension.ToLower() = ".wav" Then
                scanBarcode.GoodReadSoundFile = textBoxGRSound.Text
                MessageBox.Show("File: " + textBoxGRSound.Text + " set.")
            Else
                MessageBox.Show("File has not the WAV extension")
            End If
        Else
            MessageBox.Show("File does not exist")
        End If
    End Sub

End Class
