﻿Public Class Form1
    Dim WithEvents barcodeDevice As New BarcodeDevice()

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub Form1_Closing(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        barcodeDevice.Dispose()
    End Sub

    Private Sub btnUpdateFW_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdateFW.Click
        Dim fileDlg As New OpenFileDialog()
        fileDlg.Filter = "Firmware Files(*.BIN;*.HEX)|*.BIN;*.HEX|All files (*.*)|*.*"
        fileDlg.FilterIndex = 0

        If fileDlg.ShowDialog() = DialogResult.OK Then
            Dim retVal As ReturnValues = barcodeDevice.UpdateFirmware(textBoxPassword.Text, fileDlg.FileName)
            If retVal <> ReturnValues.SUCCESS Then
                MessageBox.Show(retVal.ToString())
            End If
        End If
        fileDlg.Dispose()

    End Sub

    Private Sub btnCancelUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancelUpdate.Click
        barcodeDevice.CancelUpdateFirmware()
    End Sub

    Private Sub barcodeDevice_UpdateFwFinalResult(ByVal finalResult As H1xSDK.BarcodeDevice.FwFinalResult) Handles barcodeDevice.UpdateFwFinalResult
        MessageBox.Show(finalResult.ToString())
    End Sub

    Private Sub barcodeDevice_UpdateFwProgress(ByVal percentage As Integer) Handles barcodeDevice.UpdateFwProgress
        progressBar1.Value = percentage
    End Sub

    Private Sub barcodeDevice_UpdateFwProgressStatus(ByVal progressStatus As H1xSDK.BarcodeDevice.FwProgressStatus) Handles barcodeDevice.UpdateFwProgressStatus
        lblUpdateStatus.Text = progressStatus.ToString()
    End Sub
End Class
