﻿using System;
using System.Windows.Forms;
using H1xSDK;

namespace Backlight_Example
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int val = 0;
            try
            {
                val = Convert.ToInt32(textBox1.Text);
            }
            catch
            {
                MessageBox.Show("Invalid parameter, Should be type int");
                return;
            }
            if (val < 0 || val > 99)
            {
                MessageBox.Show("Value should be in the range 0-99");
                return;
            }
            ReturnValues result = BackLight.SetACBrightness(val);
            MessageBox.Show(result.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int val = 0;
            try
            {
                val = Convert.ToInt32(textBox1.Text);
            }
            catch
            {
                MessageBox.Show("Invalid parameter, Should be type int");
                return;
            }
            if (val < 0 || val > 99)
            {
                MessageBox.Show("Value should be in the range 0-99");
                return;
            }
            ReturnValues result = BackLight.SetBatteryBrightness(val);
            MessageBox.Show(result.ToString());
        }

        private void button3_Click(object sender, EventArgs e)
        {
            int val = 0;
            try
            {
                val = Convert.ToInt32(textBox1.Text);
            }
            catch
            {
                MessageBox.Show("Invalid parameter, Should be type int");
                return;
            }
            if (val < 0)
            {
                MessageBox.Show("Value should be greater than or equal to 0");
                return;
            }
            ReturnValues result = BackLight.SetACTimeout(val);
            MessageBox.Show(result.ToString());
        }

        private void button4_Click(object sender, EventArgs e)
        {
            int val = 0;
            try
            {
                val = Convert.ToInt32(textBox1.Text);
            }
            catch
            {
                MessageBox.Show("Invalid parameter, Should be type int");
                return;
            }   
            if (val < 0)
            {
                MessageBox.Show("Value should be greater than or equal to 0");
                return;
            }
            ReturnValues result = BackLight.SetBatteryTimeout(val);
            MessageBox.Show(result.ToString());
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}