﻿using System;
using System.ComponentModel;
using System.Windows.Forms;
using H1xSDK;

namespace Set_Pwd_Example
{
    public partial class Form1 : Form
    {

        BarcodeDevice barcodeDevice = new BarcodeDevice();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (!textBox2.Text.Equals(textBox3.Text))
            {
                MessageBox.Show("New Password not confirmed");
                return;
            }

            ReturnValues result = barcodeDevice.SetPassword(textBox1.Text, textBox2.Text);
            MessageBox.Show(result.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            barcodeDevice.Dispose();
            Application.Exit();
        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            barcodeDevice.Dispose();
        }
    }
}