﻿Public Class Form1

    Dim scanBarcode As New ScanBarcode()
   
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        listVWBarcodeTypes.Items(0).Tag = scanBarcode.BarcodeTypes.ID_UPC
        listVWBarcodeTypes.Items(1).Tag = scanBarcode.BarcodeTypes.ID_EAN
        listVWBarcodeTypes.Items(2).Tag = scanBarcode.BarcodeTypes.ID_CODE_39
        listVWBarcodeTypes.Items(3).Tag = scanBarcode.BarcodeTypes.ID_TRIOPTIC
        listVWBarcodeTypes.Items(4).Tag = scanBarcode.BarcodeTypes.ID_CODABAR
        listVWBarcodeTypes.Items(5).Tag = scanBarcode.BarcodeTypes.ID_INDUSTRIAL
        listVWBarcodeTypes.Items(6).Tag = scanBarcode.BarcodeTypes.ID_INTERLEAVED
        listVWBarcodeTypes.Items(7).Tag = scanBarcode.BarcodeTypes.ID_SCODE
        listVWBarcodeTypes.Items(8).Tag = scanBarcode.BarcodeTypes.ID_MATRIX
        listVWBarcodeTypes.Items(9).Tag = scanBarcode.BarcodeTypes.ID_CHINESE
        listVWBarcodeTypes.Items(10).Tag = scanBarcode.BarcodeTypes.ID_KOREAN
        listVWBarcodeTypes.Items(11).Tag = scanBarcode.BarcodeTypes.ID_IATA
        listVWBarcodeTypes.Items(12).Tag = scanBarcode.BarcodeTypes.ID_MSI
        listVWBarcodeTypes.Items(13).Tag = scanBarcode.BarcodeTypes.ID_TELEPEN
        listVWBarcodeTypes.Items(14).Tag = scanBarcode.BarcodeTypes.ID_UK
        listVWBarcodeTypes.Items(15).Tag = scanBarcode.BarcodeTypes.ID_CODE_128
        listVWBarcodeTypes.Items(16).Tag = scanBarcode.BarcodeTypes.ID_CODE_93
        listVWBarcodeTypes.Items(17).Tag = scanBarcode.BarcodeTypes.ID_CODE_11
        listVWBarcodeTypes.Items(18).Tag = scanBarcode.BarcodeTypes.ID_RSS
        listVWBarcodeTypes.Items(19).Tag = scanBarcode.BarcodeTypes.ID_RSS_LMT
        listVWBarcodeTypes.Items(20).Tag = scanBarcode.BarcodeTypes.ID_RSS_EXP
        listVWBarcodeTypes.Items(21).Tag = scanBarcode.BarcodeTypes.ID_DMATRIX
        listVWBarcodeTypes.Items(22).Tag = scanBarcode.BarcodeTypes.ID_DMATRIX_200
        listVWBarcodeTypes.Items(23).Tag = scanBarcode.BarcodeTypes.ID_AZTEC
        listVWBarcodeTypes.Items(24).Tag = scanBarcode.BarcodeTypes.ID_AZTECRUN
        listVWBarcodeTypes.Items(25).Tag = scanBarcode.BarcodeTypes.ID_QR
        listVWBarcodeTypes.Items(26).Tag = scanBarcode.BarcodeTypes.ID_MAXI
        listVWBarcodeTypes.Items(27).Tag = scanBarcode.BarcodeTypes.ID_PDF417
        listVWBarcodeTypes.Items(28).Tag = scanBarcode.BarcodeTypes.ID_MICROPDF
        listVWBarcodeTypes.Items(29).Tag = scanBarcode.BarcodeTypes.ID_ALL_ADDONS

        Dim suppBarTypes As ScanBarcode.BarcodeTypes = scanBarcode.SupportedBarcodeTypes

        ' Check what items are available according to the supported barcode types
        Dim x As Integer = 0
        While x < listVWBarcodeTypes.Items.Count
            If (suppBarTypes And listVWBarcodeTypes.Items(x).Tag) <> listVWBarcodeTypes.Items(x).Tag Then
                ' This barcode type is not supported so remove it from the list
                listVWBarcodeTypes.Items.Remove(listVWBarcodeTypes.Items(x))
            Else
                x = x + 1
            End If
        End While

        Dim enabledBarTypes As ScanBarcode.BarcodeTypes = scanBarcode.EnabledBarcodeTypes
        x = 0
        While x < listVWBarcodeTypes.Items.Count
            If (enabledBarTypes And listVWBarcodeTypes.Items(x).Tag) = listVWBarcodeTypes.Items(x).Tag Then
                listVWBarcodeTypes.Items(x).Checked = True
            Else
                listVWBarcodeTypes.Items(x).Checked = False
            End If
            x = x + 1
        End While
    End Sub

    Private Sub Form1_Closing(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        ' Cleanup the used resources
        scanBarcode.Dispose()
    End Sub

    Private Sub btnApply_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnApply.Click
        Dim enabledBarTypes As ScanBarcode.BarcodeTypes = 0

        For x As Integer = 0 To listVWBarcodeTypes.Items.Count - 1
            If listVWBarcodeTypes.Items(x).Checked Then
                enabledBarTypes = enabledBarTypes Or listVWBarcodeTypes.Items(x).Tag
            End If
        Next
        scanBarcode.EnabledBarcodeTypes = enabledBarTypes
    End Sub
End Class
